Package org.apache.catalina.authenticator

# Enum DigestAuthenticator.AuthDigest

java.lang.Object
java.lang.Enum<DigestAuthenticator.AuthDigest>
org.apache.catalina.authenticator.DigestAuthenticator.AuthDigest

All Implemented Interfaces:
  `Serializable`, `Comparable<DigestAuthenticator.AuthDigest>`, `java.lang.constant.Constable`

Enclosing class:
  DigestAuthenticator

public static enum DigestAuthenticator.AuthDigest extends Enum<DigestAuthenticator.AuthDigest>
This enum exists because RFC 7616 and Java use different names for some digests.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MD5`
  `SHA_256`
  `SHA_512_256`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJavaName()`
  `String`
  `getRfcName()`
  `static DigestAuthenticator.AuthDigest`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DigestAuthenticator.AuthDigest[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MD5

    public static final DigestAuthenticator.AuthDigest MD5

  - ### SHA_256

    public static final DigestAuthenticator.AuthDigest SHA_256

  - ### SHA_512_256

    public static final DigestAuthenticator.AuthDigest SHA_512_256

- ## Method Details

  - ### values

    public static DigestAuthenticator.AuthDigest[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DigestAuthenticator.AuthDigest valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getJavaName

    public String getJavaName()

  - ### getRfcName

    public String getRfcName()